package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;
import server.network.Player;
import server.network.User;

public class CommandAdmin extends Command {
	public CommandAdmin() {
		super("admin");
		
		this.addUser("user", false, UserPolicy.NON_ADMINS_STRICT);
	}
	
	public void exec(CommandEnvironment env, Executor exec, User user) {
		user.setAdmin(true);
		if(user.isOnline())
			((Player)user).log("Du hast Administatorrechte von %s bekommen", exec.isPlayer() ? ((Player)exec).getUser() : "der Konsole");
		exec.log("%s ist jetzt ein Admin", user.getUser());
	}
}
