package server.command.commands;

import java.util.List;

import common.dimension.Dimension;
import common.entity.Entity;
import common.util.Vec3;
import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;

public class CommandTele extends Command {
	public CommandTele() {
		super("tele");

		this.addVector("position", false, true);
		this.addDimension("dim", true);
		this.setParamsOptional();
		this.addDouble("yaw", -180.0, 180.0);
		this.addDouble("pitch", -89.0, 89.0);
		
		this.setParamsRequired();
		this.addEntityList("entities", 'e', true, UserPolicy.NON_ADMINS_OR_SELF);
	}
	
	public Object exec(CommandEnvironment env, Executor exec, Vec3 position, Dimension dim, Double yaw, Double pitch, List<Entity> entities) {
		for(Entity entity : entities) {
			entity.teleport(position.xCoord, position.yCoord, position.zCoord, yaw == null ? entity.rotYaw : yaw.floatValue(), pitch == null ? entity.rotPitch : pitch.floatValue(), dim.getDimensionId());
			exec.log("%s nach %d, %d, %d in %s teleportiert", entity.getCommandName(), (int)position.xCoord, (int)position.yCoord, (int)position.zCoord, dim.getFormattedName(false));
		}
		return entities.size();
	}
}
